Subject: Re: bug#35621: Simplify comparing guix challenge results

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 08 May 2019 22:28:46 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Vagrant Cascadian <[email-masked]> skribis:
>
>> What about an argument to "guix challenge" that handles the downloading
>> and unpacking to a temporary directory, and possibly another that also
>> runs a comparison tool against the results. Maybe something like:
>>
>>   $ guix challenge --download-differences
>>   /tmp/git-XXXXX/SUBSTITTE-X/...-git-2.5.0
>>   /tmp/git-XXXXX/SUBSTITUTE-Y/...-git-2.5.0
>>   /gnu/store/...-git-2.5.0
>>
>> Downloads and unpacks the substitutes, and outputs the resulting
>> directories.
>>
>>
>>   $ guix challenge --download-differences --compare-with="diffoscope ..."
>>
>> This would do the above, plus run diffoscope on the directories
>> ... though I think diffoscope can only compare between two things at a
>> time... so that might get difficult if many substitutes return results.
>
> Sounds like a good idea.  Perhaps ‘--compare-with’ is actually enough
> (it would also download things), dunno.

I think it’s fine to have just “--compare-with”, which would print the
location of the downloaded things, so you could compare with “echo” if
all you wanted is to get the differences.

--
Ricardo